## plasma-runner-amarok 0.6

=== CMakeLists.txt ===
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
add_subdirectory(po)


set(krunner_amarokrunner_SRCS
    amarokrunner.cpp
)

set(kcm_krunner_amarokrunner_SRCS
    amarokrunner_config.cpp
)


kde4_add_ui_files(kcm_krunner_amarokrunner_SRCS amarokrunner_config.ui)
kde4_add_plugin(kcm_krunner_amarokrunner ${kcm_krunner_amarokrunner_SRCS})
target_link_libraries(kcm_krunner_amarokrunner
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS} 
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )

kde4_add_plugin(krunner_amarokrunner ${krunner_amarokrunner_SRCS})
target_link_libraries(krunner_amarokrunner ${KDE4_KUTILS_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS})


install(TARGETS krunner_amarokrunner kcm_krunner_amarokrunner DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-runner-amarokrunner.desktop plasma-runner-amarokrunner_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname plasma_runner_amarokrunner)
 
	ADD_CUSTOM_TARGET(translations ALL)
 
	FILE(GLOB PO_FILES *.po)
 
	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
		ADD_CUSTOM_COMMAND(TARGET translations
			COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
			DEPENDS ${_poFile})
		INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
	ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
plasma-runner-amarok (0.6-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch to dh7 rules.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 22:09:14 +0200

plasma-runner-amarok (0.6-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #349165)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 29 Jul 2009 22:04:58 +0200

=== debian/control ===
Source: plasma-runner-amarok
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.5.0~), cmake, kdebase-workspace-dev
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Amarok+Runner?content=109120
 
Package: plasma-runner-amarok
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, amarok
Description: KRunner plugin to command Amarok through KRunner
 With this Krunner plugin you can command Amarok. The supported actions are:
 play, pause, stop, previous song, next song, set volume, mute and quit Amarok.
 Type Amarok in KRunner to get a list of the actions.
